Download it now!
Bug 87098 - android: Better initial view zoom / scale
Summary: android: Better initial view zoom / scale
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-12-08 11:25 UTC by Jan Holesovsky
Modified: 2015-04-20 08:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-12-08 11:25:37 UTC
When the document is opened in the android viewer, it should have a reasonable scaling / zoom set by default:

* Writer: the document fits the screen horizontally (width of the screen in the current rotation mode == width of the document)

* Impress: the entire slide fits the screen
Comment 1 Commit Notification 2014-12-11 22:11:35 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=842848cb6d6c88fcf2c2b17d5e933458fa5d2ece

fdo#87098 change zoom level tile layer zoom level on load

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-12-22 08:11:04 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f5eb643ead93c441566507f4dc4eac2d85e701b

fdo#87098 invalidate zoom change by triggering animatedZoomTo

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jan Holesovsky 2015-01-26 11:07:27 UTC
Much better for text documents and presentations.

For spreadsheets, we should probably just default to 100%, makes no sense there to fit the entire sheet the screen, spreadsheets are usually large.
Comment 4 Jan Holesovsky 2015-04-20 08:15:41 UTC
This is now fixed, thanks!